﻿package {

	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;

	import flash.events.Event;

	public class Sphere extends Sprite {

		private var _screen:BitmapData;
		public var so:Number;
		public var su:Number;
		public var line:Number;
		private var x1:Number = 0;
		private var y1:Number = 0;

		public function Sphere():void {
			
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,false,0x000000);

			var bitmap:Bitmap = new Bitmap(_screen);

			addChild(bitmap);

			so=10 ;
			su=-3 ;

			addEventListener(Event.ENTER_FRAME,onEnterFrame);
			
			}
		private function onEnterFrame(e:Event):void {
			
			_screen.fillRect(_screen.rect,0xFFFFFF);
			
			var line:Sprite = new Sprite();
			line.graphics.lineStyle(1,0xff0000,1);
			
			
			var val:Number;

			if ( (x1 > width && su > 0) || (x1 < 0 && su < 0) ) {
			   su = -su;
			 }
			 
			 if ( (y1 > height && so > 0) || (y1 < 0 && so < 0) ) {
			   so = -so;
			 }
			
			var w:uint = 1;
			for (var i:uint=0; i<360; i+=5) {
				val = Math.sin(Math.PI*i/180)*(mouseX-mouseY)/mouseY;
				line.graphics.moveTo(mouseX,mouseY);
				line.graphics.curveTo((val*100)+mouseY,mouseY*3,x1,y1);

				if (i%180 == 0 && i!=0) {
					w+=300;
				}
			}

			 x1 += su;
			 y1 += so;

			_screen.draw(line);
			line.graphics.clear();
		}
	}
}